[FFmpeg-devel] [PATCH] G722 decoder

Reimar Döffinger Reimar.Doeffinger
Fri Mar 27 10:53:47 CET 2009

On Fri, Mar 27, 2009 at 01:51:59AM +0100, Michael Niedermayer wrote:
> On Thu, Mar 26, 2009 at 07:58:59PM -0400, compn wrote:
> > On Fri, 27 Mar 2009 00:16:17 +0100, Diego Biurrun wrote:
> > >You are changing the topic.  There are two issues being discussed here:
> > >
> > >1) Whether or not FFmpeg should accept LGPL v2.1 only contributions.
> > 
> > this is up to project leader.
> > and i'm pretty sure the answer is yes
> i have no proble with v2.1 only (under CONFIG_GPL or if someone writes

My opinion as well.

> the needed configure code and that is accepted under CONFIG_LGPL21

I am not too happy about that, it makes the licensing situation more
complex, and should we ever want to switch to LGPL3 it would mean we'd
have to drop features for the LGPL version to do it.
At least we should try nagging everyone to make sure we tried
"everything" to get the code as "LGPL v2.1 or later" and only allow
anything else if the code is "valuable" enough - it least I think that
has always been the policy.
But I intend this to be my last comment, since without a specific case
it is rather hard to discuss.

More information about the ffmpeg-devel mailing list